Skip to main content

Refresh Access Token

Description​

Use the refresh token to refresh the access token.
The refresh token is valid for 90 days and can only be used once.

Endpoint​

POST https://api.pleos.ai/v1/auth/token-refresh

Request​

curl
curl -X POST "https://api.pleos.ai/v1/auth/token-refresh" \
-H "Content-Type: application/json" \
-H "Brand: hyundai" \
-d '{
"clientId": "<YOUR_CLIENT_ID>",
"clientSecret": "<YOUR_CLIENT_SECRET>",
"refreshToken": "<YOUR_REFRESH_TOKEN>"
}'
ParameterTypeDescriptionRequired
Content-Typestringapplication/jsonOptional
BrandstringVehicle brand (hyundai/kia/genesis)Required

Body Parameters​

ParameterTypeDescriptionRequired
clientIdstringEnter the Client ID obtained from Pleos Playground > My Project.Required
clientSecretstringEnter the Client Secret obtained from Pleos Playground > My Project.Required
refreshTokenstringEnter the refreshToken received in the response of Create Access Token.
For subsequent refreshes, use the refreshToken received in the response of the previous token refresh.
This value is valid for 90 days after issuance and can only be used once.
Required

Response​

Success​

200
{
"data": {
"accessToken": "<ACCESS_TOKEN>",
"refreshToken": "<REFRESH_TOKEN>"
},
"meta": {
"code": 200,
"message": "Success",
"success": "true",
"timestamp": "2025-09-01T11:00:00Z",
"requestId": "835bdbd4-1105-4a8c-b438-a1b2c3d4f5g6"
}
}
data fieldTypeDescription
accessTokenstringToken to access the Vehicle Data API. Valid for one hour after access token issuance.
refreshTokenstringValue used for refreshing the token. Valid for 90 days after issuance and can only be used once.

Failure​

4002
{
"error": {
"code": "4002",
"message": "Invalid request parameters",
"details": [],
"timestamp": "2025-09-01T12:00:00Z",
"requestId": "835bdbd4-1105-4a8c-b438-a1b2c3d4f5g6"
}
}
[Error Code]

For a detailed explanation of error code on failure, refer to Error Code.